<?php
//************************************************************************
//       проверка на уникальность индекса в справочнике и 
//************************************************************************
list($abs1, $s2) = explode("pages",getcwd( ));
if (strpos($tabl,"-")==0)              // только таблицы данных
{if ($kpre==1)                         // если форма таблицы отца то кнопка
{
// для скрытия кнопки закоменнтируй ее //
echo "  <img src=../../../../d~e~f/do.bmp style='background:white;border:green thin double' onclick=kpost()   title='Введи титлу'>";
?>
<script type="text/javascript">
document.getElementById("re0").style.display="none"  // скрыли стандартную  кнопку сохранения
if (document.getElementById("vkon")!=null)
{document.getElementById("vkon").style.display="none"  // скрыли стандартную  кнопку сохранения
}
// контроль данных в таблице посты в 100
function kpost()
{if (table.length==0)
{return}
if (window.top.serv!=0)
{alert("Для изменения отмени выборку !")
return
}
document.getElementById("repo").innerHTML="Идет контроль ! "   
var mns = new Object()                             //асс  массив имен столбцов
for(var j = 0; j < moboz2.length; j++)   
{mns[moboz2[j]]=j}
indi=mns['индекс']
// если  все строки выполним контроль
if  (parseInt(document.getElementById("tmax").innerHTML,10)<=parseInt(document.getElementById("pokz").innerHTML,10))     //(vv==999999)
{mvs=objj.getElementsByTagName("TD") 
obj1=mtextarea[indi]
sort(1)                                        // отсортируем по возрастанию
document.getElementById("repo").innerHTML="По возрастанию для контроля !"
os=""                                          // тексты ошибок
stroki=t.getElementsByTagName("TR") 
scro=0
for(var j = 1; j <= stroki.length-1; j++)
{rowt=stroki[j].getElementsByTagName("TD") 
mu=rowt[rowt.length-1].innerHTML.split("><")    // исключим помеченные на удаление   
if (mu[1].indexOf("yes.gif")>0)
{} 
else
{if (j>0)
{osn=""
if (rowt[mns['от']].innerHTML=="" && rowt[mns['до']].innerHTML=="" )
{}
else
{
if ((rowt[mns['от']].innerHTML!="" && rowt[mns['до']].innerHTML=="" ) || (rowt[mns['от']].innerHTML=="" && rowt[mns['до']].innerHTML!=""))
{osn=osn+" нет от до"}
else
{ha=(rowt[mns['от']].innerHTML).split(".")
if (ha.length!=2)
{osn=osn+" неформат"}
else
{kkk5=rowt[mns['до']].innerHTML.split(".")
if (kkk5.length!=2)
{osn=osn+" неформат"}
else
{ha2=ha[1]+ha[0]
ha2=parseInt(ha2)
kkk52=kkk5[1]+kkk5[0]
kkk52=parseInt(kkk52)
if (kkk52<=ha2)
{osn=osn+" не начало"}
if (parseInt(ha[1])<5 || kkk52[1]>11)
{
//osn=osn+" интервал "
}
}}}
if (osn!="")
{rowt[indi].style.color="red"
rowt[indi].style.background="yellow"
os=os+"\r\n"+(j)+" " +rowt[indi].innerHTML+" Навигация  "+osn
}}
var cpa = new Array()
if (rowt[mns['судоход']].innerHTML!="")
{cpa[cpa.length]=rowt[mns['судоход']].innerHTML}
if (rowt[mns['пойма']].innerHTML!="")
{cpa[cpa.length]=rowt[mns['пойма']].innerHTML}
if (rowt[mns['неблаго']].innerHTML!="")
{cpa[cpa.length]=rowt[mns['неблаго']].innerHTML}
if (rowt[mns['опасно']].innerHTML!="")
{cpa[cpa.length]=rowt[mns['опасно']].innerHTML}
if  (cpa.length>1)
{for(var j2 = 0; j2 <= cpa.length-2; j2++)
{if (parseInt(cpa[j2])>=parseInt(cpa[j2+1]))
{os=os+"\r\n"+(j)+" Ошибка в уровнях "+rowt[indi].innerHTML
rowt[indi].style.color="red"
rowt[indi].style.background="yellow"
break
}}}



if (rowt[indi].innerHTML=="" || rowt[indi].innerHTML=="?" )
{os=os+"\r\n"+(j)+rowt[indi].innerHTML+" пусто"
rowt[indi].style.color="red"
rowt[indi].style.background="yellow"
}
else
{rowp=stroki[j-1].getElementsByTagName("TD") 
if (rowp[indi].innerHTML==rowt[indi].innerHTML)
{mu=rowp[rowt.length-1].innerHTML.split("><")    // исключим помеченные на удаление   
if (mu[1].indexOf("yes.gif")>0)
{} 
else
{os=os+"\r\n"+(j)+" ПОВТОРЕНИЕ "+rowt[indi].innerHTML
if (scro==0)
{
scro=rowt[indi].offsetTop
}
rowt[indi].style.color="red"
rowt[indi].style.background="yellow"

}}
}}}}

if (os!="")
{
document.getElementById("div").scrollTop=scro
alert("Исправь ошибки:\r\n"+os.substr(0,300))
document.getElementById("repo").innerHTML="Контроль не прошел ! "   
return
}}
else
{alert("Все изменения в этой таблицы\r\n возможны только в режиме СТОКИ все ! ")
return
}
document.getElementById("kontr").value="yes"
document.getElementById("re0").click()    // выполним серверную часть обработчика отца- продублируем стандарт кнопку
}
</script>

<?php
}}
